server:
  port: 6001
  tomcat:
    max-connections: 2000
    threads:
      max: 200
    connection-timeout: 1200000
spring:
  application:
    name: heketai-website-manager
  datasource:
    driver-class-name: com.mysql.jdbc.Driver
    initialSize: 5
    maxActive: 10
    maxWait: 60000
    minEvictableIdleTimeMillis: 300000
    minIdle: 5
    timeBetweenEvictionRunsMillis: 60000
    type: com.alibaba.druid.pool.DruidDataSource
    url: jdbc:mysql://8.135.119.128:3306/hotjt?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&allowMultiQueries=true&serverTimezone=PRC&useSSL=false
    username: root
    password: hkt2019abc_123
  jackson:
    date-format: yyyy-MM-dd HH:mm:ss
    time-zone: GMT+8
    serialization:
      write-dates-as-timestamps: false
  redis:
    database: 0
    host: 8.135.119.128
    port: 6379
    password: hktabc123
    timeout: 5000

logging:
  level:
    root: info
    com:
      heketai:
        website: DEBUG
mybatis-plus:
  mapper-locations: classpath:com/heketai/website/mapper/xml/*.xml
  type-aliases-package: com.heketai.website.entity
  configuration:
    map-underscore-to-camel-case: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
heketai:
  swagger:
    enable: true
aliyun:
  oss:
    accessKeyId: LTAIPnNzZ4KfGliu
    accessKeySecret: jB9YHLFDyhUJp0a4kQhbNBTO3rD0hf
    bucketName: hotking
    endpoint: doc.hotking.com
    fileHost: hkt
